Skip to main content
v1

Get the current desktop mouse position.

GET /v1/desktop/mouse/position: request parameters and responses.

GET /v1/desktop/mouse/position

Performs a health-gated mouse position query against the managed desktop.

Responses

200

Desktop mouse position

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMousePositionResponse"
  }
}

Related schemas: DesktopMousePositionResponse.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input check failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.